> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a standard texting campaign SMS



## OpenAPI

````yaml post /callback/standardCampaignSms
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /callback/standardCampaignSms:
    post:
      tags:
        - callback
      summary: Trigger a standard texting campaign SMS
      operationId: CallbackController_standardCampaignSms
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StandardCampaignSmsDto'
      responses:
        '200':
          description: Standard Campaign SMS triggered successfully
      security:
        - apiKey: []
components:
  schemas:
    StandardCampaignSmsDto:
      type: object
      properties:
        campaign_id:
          type: string
          description: >-
            Standard texting campaign ID (top-level for Format 1, or in
            customData for Format 2)
          example: fc464efb-0725-4d7e-a7f3-3f7d30ec403a
        contact_id:
          type: string
          description: GHL contact ID to text
          example: I288bgrq0LlKLbW9tBng
        first_name:
          type: string
        last_name:
          type: string
        full_name:
          type: string
        email:
          type: string
        phone:
          type: string
        tags:
          type: string
        country:
          type: string
        date_created:
          type: string
        company_name:
          type: string
        full_address:
          type: string
        contact_type:
          type: string
        location:
          type: object
        workflow:
          type: object
        triggerData:
          type: object
        customData:
          type: object
          description: >-
            Custom data object containing campaign_id and other fields (Format
            2)
      required:
        - contact_id
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````